Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.cs	(revision 51)
@@ -64,7 +64,7 @@
         /// 表示順番
         /// </summary>
         // 表示コントロール定義
-        private enum DispControl
+        private enum DispCtrl
         {
             VehicleCode = 0,
             VehicleName,
@@ -89,6 +89,8 @@
             PeriodicInspection,
             TireExchange,
             WinterTireExchange,
+            VehicleAdministrator,
+            VehicleScheduleDsp,
             EditMode,
         }
         /// <summary>
@@ -144,15 +146,29 @@
         /// <summary>
         /// 表示コントロール保持配列
         /// </summary>
-        private Control[] m_dispControl = new Control[24];
+        private Control[] m_dispControl;
 
         /// <summary>
         /// 構成コード
         /// </summary>
         private int m_VehicleCode = 0;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -175,7 +191,7 @@
         }
         #endregion
 
-        #region イベントメソッド
+        #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
         /// </summary>
@@ -191,6 +207,9 @@
             // 前プロセスに戻る
             ClsExcute.BackProcess();
         }
+        #endregion
+
+        #region 終了ボタンクリック
         /// <summary>
         /// 終了ボタンクリック
         /// </summary>
@@ -200,7 +219,9 @@
         {
             this.Close();
         }
+        #endregion
 
+        #region 初期フォームロード
         /// <summary>
         /// 初期フォームロード
         /// </summary>
@@ -226,10 +247,18 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フラグ初期化
             m_bChengeAns = false;
         }
+        #endregion
 
+        #region Entryキーでの移動処理
         /// <summary>
         /// Entryキーでの移動処理
         /// </summary>
@@ -250,6 +279,9 @@
                 e.SuppressKeyPress = true;
             }
         }
+        #endregion
+
+        #region フィールド値変更フラグ
         /// <summary>
         /// フィールド値変更フラグ
         /// </summary>
@@ -259,7 +291,9 @@
         {
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region 登録ボタン押下
         /// <summary>
         /// 登録ボタン押下
         /// </summary>
@@ -278,6 +312,8 @@
                 // データ登録
                 if (!VehicleMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("車両登録データ");
+
                 // フィールドロック
                 ControlLock(false);
 
@@ -309,7 +345,9 @@
             {
             }
         }
+        #endregion
 
+        #region 削除ボタン押下
         /// <summary>
         /// 削除ボタン押下
         /// </summary>
@@ -333,7 +371,7 @@
                 if (MessageBox.Show("表示中のデータを削除します。", "削除確認"
                     , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
 
-                string strSQL = vDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)DispControl.VehicleCode].Text));
+                string strSQL = vDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.VehicleCode].Text));
 
                 List<VehicleMaster> ReadRec = new List<VehicleMaster>();
                 vDB.SelectAction(strSQL, ref ReadRec, false);
@@ -368,6 +406,8 @@
                 vDB.commit();
                 vrdDB.commit();
 
+                CommonMotions.RemoveEndMessage("車両登録データ");
+
                 // 再表示
                 DispVehicleGridData();
 
@@ -393,7 +433,9 @@
                 vrdDB.close(); vrdDB = null;
             }
         }
+        #endregion
 
+        #region 追加ボタン押下
         /// <summary>
         /// 追加ボタン押下
         /// </summary>
@@ -431,10 +473,10 @@
                 cmbVehicleScheduleDsp.SelectedIndex = 0;
 
                 // モード表示
-                m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringNew;
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringNew;
 
                 // フォーカスセット
-                m_dispControl[(int)DispControl.VehicleName].Focus();
+                m_dispControl[(int)DispCtrl.VehicleName].Focus();
             }
             catch (System.Exception ex)
             {
@@ -446,7 +488,9 @@
                 ciDB = null;
             }
         }
+        #endregion
 
+        #region 行選択時処理
         /// <summary>
         /// 行選択時処理
         /// </summary>
@@ -483,10 +527,19 @@
             // 更新データ取得
             DispMentenanceData();
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フォーカスセット
-            m_dispControl[(int)DispControl.VehicleName].Focus();
+            m_dispControl[(int)DispCtrl.VehicleName].Focus();
 
         }
+        #endregion
+
+        #region 選択ボタン押下
         /// <summary>
         /// 選択ボタン押下
         /// </summary>
@@ -497,6 +550,9 @@
             // 行選択時処理
             DataSelectRow();
         }
+        #endregion
+
+        #region グリッドクリック
         /// <summary>
         /// グリッドクリック
         /// </summary>
@@ -507,6 +563,9 @@
             // 行選択時処理
             DataSelectRow();
         }
+        #endregion
+
+        #region アップボタン
         /// <summary>
         /// アップボタン
         /// </summary>
@@ -519,6 +578,9 @@
 
             m_bChengeAns = true;
         }
+        #endregion
+
+        #region ダウンボタン
         /// <summary>
         /// ダウンボタン
         /// </summary>
@@ -531,6 +593,9 @@
 
             m_bChengeAns = true;
         }
+        #endregion
+
+        #region 年月日入力後処理
         /// <summary>
         /// 年月日入力後処理
         /// </summary>
@@ -584,6 +649,9 @@
                 if (this.ActiveControl.Equals(btnEnd)) m_bChengeAns = false;
             }
         }
+        #endregion
+
+        #region 記録グリッドセル入力後処理
         /// <summary>
         /// 記録グリッドセル入力後処理
         /// </summary>
@@ -624,6 +692,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region 記録グリッドセル入力前処理
         /// <summary>
         /// 記録グリッドセル入力前処理
         /// </summary>
@@ -655,6 +726,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region グリッドキー押下時
         /// <summary>
         /// グリッドキー押下時
         /// </summary>
@@ -672,7 +746,7 @@
         }
         #endregion
 
-        #region プライベートメソッド
+        #region 画面ロック
         /// <summary>
         /// 画面ロック
         /// </summary>
@@ -681,44 +755,59 @@
             foreach (Control wrk in m_dispControl)
             {
                 if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Label)))
-                    wrk.Enabled = bctrl;
+                if (wrk.GetType().Equals(typeof(Label))) continue;
+                    
+                wrk.Enabled = bctrl;
             }
+            dgvPeriodicInspection.ReadOnly = true;
+            dgvTireExchange.ReadOnly = true;
+            dgvVehicleInspection.ReadOnly = true;
+            dgvVoluntaryInsurance.ReadOnly = true;
+            dgvWinterTireExchange.ReadOnly = true;
         }
+        #endregion
 
+        #region 表示オブジェクトの取得
         /// <summary>
         /// 表示オブジェクトの取得
         /// </summary>
         private void SetDisplayObject()
         {
-            m_dispControl[(int)DispControl.VehicleCode] = lblVehicleCode;
+            int DspCtrlCnt = Enum.GetNames(typeof(DispCtrl)).Length;
+            m_dispControl = new Control[DspCtrlCnt];
 
-            m_dispControl[(int)DispControl.VehicleName] = txtInput01;
-            m_dispControl[(int)DispControl.RegistrationNumber] = txtInput02;
-            m_dispControl[(int)DispControl.IdentificationNumber] = txtInput03;
-            m_dispControl[(int)DispControl.ModelCode] = txtInput04;
-            m_dispControl[(int)DispControl.Administrator] = cmbVehicleAdministrator;
-            m_dispControl[(int)DispControl.PurchaseDate] = txtInput05;
-            m_dispControl[(int)DispControl.PurchaseName] = txtInput06;
-            m_dispControl[(int)DispControl.PurchaseContactPersons] = txtInput07;
-            m_dispControl[(int)DispControl.PurchasePhone] = txtInput08;
-            m_dispControl[(int)DispControl.LeaseDate] = txtInput09;
-            m_dispControl[(int)DispControl.LeaseDestination] = txtInput10;
-            m_dispControl[(int)DispControl.LeaseContactPersons] = txtInput11;
-            m_dispControl[(int)DispControl.LeasePhone] = txtInput12;
-            m_dispControl[(int)DispControl.InsuranceCompany] = txtInput13;
-            m_dispControl[(int)DispControl.InsuranceContactPersons] = txtInput14;
-            m_dispControl[(int)DispControl.InsurancePhone] = txtInput15;
-            m_dispControl[(int)DispControl.Note] = txtInput16;
-            m_dispControl[(int)DispControl.VoluntaryInsurance] = dgvVoluntaryInsurance;
-            m_dispControl[(int)DispControl.PeriodicInspection] = dgvPeriodicInspection;
-            m_dispControl[(int)DispControl.PeriodicInspection] = dgvPeriodicInspection;
-            m_dispControl[(int)DispControl.TireExchange] = dgvTireExchange;
-            m_dispControl[(int)DispControl.WinterTireExchange] = dgvWinterTireExchange;
+            m_dispControl[(int)DispCtrl.VehicleCode] = lblVehicleCode;
 
-            m_dispControl[(int)DispControl.EditMode] = lblEditMode;
+            m_dispControl[(int)DispCtrl.VehicleName] = txtInput01;
+            m_dispControl[(int)DispCtrl.RegistrationNumber] = txtInput02;
+            m_dispControl[(int)DispCtrl.IdentificationNumber] = txtInput03;
+            m_dispControl[(int)DispCtrl.ModelCode] = txtInput04;
+            m_dispControl[(int)DispCtrl.Administrator] = cmbVehicleAdministrator;
+            m_dispControl[(int)DispCtrl.PurchaseDate] = txtInput05;
+            m_dispControl[(int)DispCtrl.PurchaseName] = txtInput06;
+            m_dispControl[(int)DispCtrl.PurchaseContactPersons] = txtInput07;
+            m_dispControl[(int)DispCtrl.PurchasePhone] = txtInput08;
+            m_dispControl[(int)DispCtrl.LeaseDate] = txtInput09;
+            m_dispControl[(int)DispCtrl.LeaseDestination] = txtInput10;
+            m_dispControl[(int)DispCtrl.LeaseContactPersons] = txtInput11;
+            m_dispControl[(int)DispCtrl.LeasePhone] = txtInput12;
+            m_dispControl[(int)DispCtrl.InsuranceCompany] = txtInput13;
+            m_dispControl[(int)DispCtrl.InsuranceContactPersons] = txtInput14;
+            m_dispControl[(int)DispCtrl.InsurancePhone] = txtInput15;
+            m_dispControl[(int)DispCtrl.Note] = txtInput16;
+            m_dispControl[(int)DispCtrl.VoluntaryInsurance] = dgvVoluntaryInsurance;
+            m_dispControl[(int)DispCtrl.PeriodicInspection] = dgvPeriodicInspection;
+            m_dispControl[(int)DispCtrl.PeriodicInspection] = dgvPeriodicInspection;
+            m_dispControl[(int)DispCtrl.TireExchange] = dgvTireExchange;
+            m_dispControl[(int)DispCtrl.WinterTireExchange] = dgvWinterTireExchange;
+            m_dispControl[(int)DispCtrl.VehicleAdministrator] = cmbVehicleAdministrator;
+            m_dispControl[(int)DispCtrl.VehicleScheduleDsp] = cmbVehicleScheduleDsp;
+
+            m_dispControl[(int)DispCtrl.EditMode] = lblEditMode;
         }
+        #endregion
 
+        #region 画面クリア
         /// <summary>
         /// 画面クリア
         /// </summary>
@@ -755,7 +844,9 @@
 
             m_bChengeAns = false;
         }
+        #endregion
 
+        #region 画面項目のチェック
         /// <summary>
         /// 画面項目のチェック
         /// </summary>
@@ -768,71 +859,71 @@
             {
 
                 // 	名称
-                if (m_dispControl[(int)DispControl.VehicleName].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.VehicleName], s_VehicleNameLength, true);
+                if (m_dispControl[(int)DispCtrl.VehicleName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.VehicleName], s_VehicleNameLength, true);
 
                 //  登録番号
-                if (m_dispControl[(int)DispControl.RegistrationNumber].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.RegistrationNumber], s_NameLength);
+                if (m_dispControl[(int)DispCtrl.RegistrationNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.RegistrationNumber], s_NameLength);
 
                 //  車台番号
-                if (m_dispControl[(int)DispControl.IdentificationNumber].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.IdentificationNumber], s_NameLength);
+                if (m_dispControl[(int)DispCtrl.IdentificationNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.IdentificationNumber], s_NameLength);
 
                 // 型式
-                if (m_dispControl[(int)DispControl.ModelCode].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.ModelCode], s_NameLength);
+                if (m_dispControl[(int)DispCtrl.ModelCode].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.ModelCode], s_NameLength);
 
                 // 管理者
-                if (m_dispControl[(int)DispControl.Administrator].Text.Length != 0) iLength++;
+                if (m_dispControl[(int)DispCtrl.Administrator].Text.Length != 0) iLength++;
 
                 // 購入日
-                if (m_dispControl[(int)DispControl.PurchaseDate].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)DispControl.PurchaseDate]);
+                if (m_dispControl[(int)DispCtrl.PurchaseDate].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)DispCtrl.PurchaseDate]);
 
                 // 購入先
-                if (m_dispControl[(int)DispControl.PurchaseName].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.PurchaseName], s_NameLength);
+                if (m_dispControl[(int)DispCtrl.PurchaseName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.PurchaseName], s_NameLength);
 
                 // 購入先担当者
-                if (m_dispControl[(int)DispControl.PurchaseContactPersons].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.PurchaseContactPersons], s_NameLength);
+                if (m_dispControl[(int)DispCtrl.PurchaseContactPersons].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.PurchaseContactPersons], s_NameLength);
 
                 // 購入先TEL
-                if (m_dispControl[(int)DispControl.PurchasePhone].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispControl.PurchasePhone]);
+                if (m_dispControl[(int)DispCtrl.PurchasePhone].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.PurchasePhone]);
 
                 // リース日
-                if (m_dispControl[(int)DispControl.LeaseDate].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)DispControl.LeaseDate]);
+                if (m_dispControl[(int)DispCtrl.LeaseDate].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)DispCtrl.LeaseDate]);
 
                 // リース先
-                if (m_dispControl[(int)DispControl.LeaseDestination].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.LeaseDestination], s_NameLength);
+                if (m_dispControl[(int)DispCtrl.LeaseDestination].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.LeaseDestination], s_NameLength);
 
                 // リース先担当者
-                if (m_dispControl[(int)DispControl.LeaseContactPersons].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.LeaseContactPersons], s_NameLength);
+                if (m_dispControl[(int)DispCtrl.LeaseContactPersons].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.LeaseContactPersons], s_NameLength);
 
                 // リース先TEL
-                if (m_dispControl[(int)DispControl.LeasePhone].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispControl.LeasePhone]);
+                if (m_dispControl[(int)DispCtrl.LeasePhone].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.LeasePhone]);
 
                 // 任意保険会社
-                if (m_dispControl[(int)DispControl.InsuranceCompany].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.InsuranceCompany], s_NameLength);
+                if (m_dispControl[(int)DispCtrl.InsuranceCompany].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.InsuranceCompany], s_NameLength);
 
                 // 任意保険会社担当者
-                if (m_dispControl[(int)DispControl.InsuranceContactPersons].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.InsuranceContactPersons], s_NameLength);
+                if (m_dispControl[(int)DispCtrl.InsuranceContactPersons].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.InsuranceContactPersons], s_NameLength);
 
                 // 任意保険会社TEL
-                if (m_dispControl[(int)DispControl.InsurancePhone].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispControl.InsurancePhone]);
+                if (m_dispControl[(int)DispCtrl.InsurancePhone].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.InsurancePhone]);
 
                 // 備考
-                if (m_dispControl[(int)DispControl.Note].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.Note], s_NoteLength);
+                if (m_dispControl[(int)DispCtrl.Note].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Note], s_NoteLength);
 
                 // 車検グリッドチェックチェック
                 foreach (DataGridViewRow wrkRow in dgvVehicleInspection.Rows)
@@ -883,6 +974,9 @@
                 return false;
             }
         }
+        #endregion
+
+        #region 記録データグリッド行チェック
         /// <summary>
         /// 記録データグリッド行チェック
         /// </summary>
@@ -944,6 +1038,9 @@
                 return false;
             }
         }
+        #endregion
+
+        #region 車両・車両記録率マスタ登録
         /// <summary>
         /// 車両・車両記録率マスタ登録
         /// </summary>
@@ -981,27 +1078,27 @@
                 VehicleMaster vData = new VehicleMaster();
                 vData.VehicleCode = m_VehicleCode;
 
-                vData.VehicleName = m_dispControl[(int)DispControl.VehicleName].Text;
-                vData.RegistrationNumber = m_dispControl[(int)DispControl.RegistrationNumber].Text;
-                vData.IdentificationNumber = m_dispControl[(int)DispControl.IdentificationNumber].Text;
-                vData.ModelCode = m_dispControl[(int)DispControl.ModelCode].Text;
+                vData.VehicleName = m_dispControl[(int)DispCtrl.VehicleName].Text;
+                vData.RegistrationNumber = m_dispControl[(int)DispCtrl.RegistrationNumber].Text;
+                vData.IdentificationNumber = m_dispControl[(int)DispCtrl.IdentificationNumber].Text;
+                vData.ModelCode = m_dispControl[(int)DispCtrl.ModelCode].Text;
                 
                 if (cmbVehicleAdministrator.Text.Length != 0)
                     vData.DepartmentCode = CommonMotions.cnvInt(cmbVehicleAdministrator.SelectedValue.ToString());
                 vData.VehicleScheduleFlg = CommonMotions.cnvInt(cmbVehicleScheduleDsp.SelectedValue.ToString());
 
-                vData.PurchaseDate = CommonMotions.cnvDate(m_dispControl[(int)DispControl.PurchaseDate].Text);
-                vData.PurchaseName = m_dispControl[(int)DispControl.PurchaseName].Text;
-                vData.PurchaseContactPersons = m_dispControl[(int)DispControl.PurchaseContactPersons].Text;
-                vData.PurchasePhone = m_dispControl[(int)DispControl.PurchasePhone].Text;
-                vData.LeaseDate = CommonMotions.cnvDate(m_dispControl[(int)DispControl.LeaseDate].Text);
-                vData.LeaseDestination = m_dispControl[(int)DispControl.LeaseDestination].Text;
-                vData.LeaseContactPersons = m_dispControl[(int)DispControl.LeaseContactPersons].Text;
-                vData.LeasePhone = m_dispControl[(int)DispControl.LeasePhone].Text;
-                vData.InsuranceCompany = m_dispControl[(int)DispControl.InsuranceCompany].Text;
-                vData.InsuranceContactPersons = m_dispControl[(int)DispControl.InsuranceContactPersons].Text;
-                vData.InsurancePhone = m_dispControl[(int)DispControl.InsurancePhone].Text;
-                vData.Note = m_dispControl[(int)DispControl.Note].Text;
+                vData.PurchaseDate = CommonMotions.cnvDate(m_dispControl[(int)DispCtrl.PurchaseDate].Text);
+                vData.PurchaseName = m_dispControl[(int)DispCtrl.PurchaseName].Text;
+                vData.PurchaseContactPersons = m_dispControl[(int)DispCtrl.PurchaseContactPersons].Text;
+                vData.PurchasePhone = m_dispControl[(int)DispCtrl.PurchasePhone].Text;
+                vData.LeaseDate = CommonMotions.cnvDate(m_dispControl[(int)DispCtrl.LeaseDate].Text);
+                vData.LeaseDestination = m_dispControl[(int)DispCtrl.LeaseDestination].Text;
+                vData.LeaseContactPersons = m_dispControl[(int)DispCtrl.LeaseContactPersons].Text;
+                vData.LeasePhone = m_dispControl[(int)DispCtrl.LeasePhone].Text;
+                vData.InsuranceCompany = m_dispControl[(int)DispCtrl.InsuranceCompany].Text;
+                vData.InsuranceContactPersons = m_dispControl[(int)DispCtrl.InsuranceContactPersons].Text;
+                vData.InsurancePhone = m_dispControl[(int)DispCtrl.InsurancePhone].Text;
+                vData.Note = m_dispControl[(int)DispCtrl.Note].Text;
 
                 // 表示順はセットしない
                 vData.DisplayOrder = 0;
@@ -1083,6 +1180,9 @@
                 vDB.close(); vDB = null;
             }
         }
+        #endregion
+
+        #region 記録データグリッドのデータを取得する
         /// <summary>
         /// 記録データグリッドのデータを取得する
         /// </summary>
@@ -1156,7 +1256,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region グリッドデータ表示
         /// <summary>
         /// グリッドデータ表示
         /// </summary>
@@ -1211,6 +1313,9 @@
                 vcDB = null;
             }
         }
+        #endregion
+
+        #region 記録データ表示
         /// <summary>
         /// 記録データ表示
         /// </summary>
@@ -1293,6 +1398,9 @@
                 vrdDB.close(); vrdDB = null;
             }
         }
+        #endregion
+
+        #region データ取得
         /// <summary>
         /// データ取得
         /// </summary>
@@ -1318,32 +1426,35 @@
                 string strSQL = vDB.CreatePrimarykeyString(m_VehicleCode);
                 List<VehicleMaster> vList = new List<VehicleMaster>();
                 if (!vDB.SelectAction(strSQL, ref vList)) return;
-                m_dispControl[(int)DispControl.VehicleCode].Text = vList[0].VehicleCode.ToString();
-                m_dispControl[(int)DispControl.VehicleName].Text = vList[0].VehicleName;
-                m_dispControl[(int)DispControl.RegistrationNumber].Text = vList[0].RegistrationNumber;
-                m_dispControl[(int)DispControl.IdentificationNumber].Text = vList[0].IdentificationNumber;
-                m_dispControl[(int)DispControl.ModelCode].Text = vList[0].ModelCode;
+                m_dispControl[(int)DispCtrl.VehicleCode].Text = vList[0].VehicleCode.ToString();
+                m_dispControl[(int)DispCtrl.VehicleName].Text = vList[0].VehicleName;
+                m_dispControl[(int)DispCtrl.RegistrationNumber].Text = vList[0].RegistrationNumber;
+                m_dispControl[(int)DispCtrl.IdentificationNumber].Text = vList[0].IdentificationNumber;
+                m_dispControl[(int)DispCtrl.ModelCode].Text = vList[0].ModelCode;
                 
                 cmbVehicleAdministrator.SelectedValue = vList[0].DepartmentCode;
 
                 if (vList[0].PurchaseDate != DateTime.MinValue)
-                    m_dispControl[(int)DispControl.PurchaseDate].Text = vList[0].PurchaseDate.ToShortDateString();
-                m_dispControl[(int)DispControl.PurchaseName].Text = vList[0].PurchaseName.ToString();
-                m_dispControl[(int)DispControl.PurchaseContactPersons].Text = vList[0].PurchaseContactPersons.ToString();
-                m_dispControl[(int)DispControl.PurchasePhone].Text = vList[0].PurchasePhone.ToString();
+                    m_dispControl[(int)DispCtrl.PurchaseDate].Text = vList[0].PurchaseDate.ToShortDateString();
+                m_dispControl[(int)DispCtrl.PurchaseName].Text = vList[0].PurchaseName.ToString();
+                m_dispControl[(int)DispCtrl.PurchaseContactPersons].Text = vList[0].PurchaseContactPersons.ToString();
+                m_dispControl[(int)DispCtrl.PurchasePhone].Text = vList[0].PurchasePhone.ToString();
 
                 if (vList[0].LeaseDate != DateTime.MinValue)
-                    m_dispControl[(int)DispControl.LeaseDate].Text = vList[0].LeaseDate.ToShortDateString();
-                m_dispControl[(int)DispControl.LeaseDestination].Text = vList[0].LeaseDestination.ToString();
-                m_dispControl[(int)DispControl.LeaseContactPersons].Text = vList[0].LeaseContactPersons.ToString();
-                m_dispControl[(int)DispControl.LeasePhone].Text = vList[0].LeasePhone.ToString();
+                    m_dispControl[(int)DispCtrl.LeaseDate].Text = vList[0].LeaseDate.ToShortDateString();
+                m_dispControl[(int)DispCtrl.LeaseDestination].Text = vList[0].LeaseDestination.ToString();
+                m_dispControl[(int)DispCtrl.LeaseContactPersons].Text = vList[0].LeaseContactPersons.ToString();
+                m_dispControl[(int)DispCtrl.LeasePhone].Text = vList[0].LeasePhone.ToString();
 
-                m_dispControl[(int)DispControl.InsuranceCompany].Text = vList[0].InsuranceCompany.ToString();
-                m_dispControl[(int)DispControl.InsuranceContactPersons].Text = vList[0].InsuranceContactPersons.ToString();
-                m_dispControl[(int)DispControl.InsurancePhone].Text = vList[0].InsurancePhone.ToString();
-                m_dispControl[(int)DispControl.Note].Text = vList[0].Note.ToString();
+                m_dispControl[(int)DispCtrl.InsuranceCompany].Text = vList[0].InsuranceCompany.ToString();
+                m_dispControl[(int)DispCtrl.InsuranceContactPersons].Text = vList[0].InsuranceContactPersons.ToString();
+                m_dispControl[(int)DispCtrl.InsurancePhone].Text = vList[0].InsurancePhone.ToString();
+                m_dispControl[(int)DispCtrl.Note].Text = vList[0].Note.ToString();
 
-                m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;                       // ”修正”
+                if (m_EditLock)
+                    m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringRef;                    // 参照
+                else
+                    m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringEdit;                   // 修正
 
                 // 記録データを表示する
                 DispRecordData();
@@ -1359,7 +1470,9 @@
                 vDB.close(); vDB = null;
             }
         }
+        #endregion
 
+        #region 車両管理者コンボボックスセット
         /// <summary>
         /// 車両管理者コンボボックスセット
         /// </summary>
@@ -1401,7 +1514,9 @@
                 dmDB = null;
             }
         }
+        #endregion
 
+        #region グリッドの有効行をカウントする
         /// <summary>
         /// グリッドの有効行をカウントする
         /// </summary>
@@ -1425,6 +1540,9 @@
                 return 0;
             }
         }
+        #endregion
+
+        #region 車両予約表示コンボボックスセット
         /// <summary>
         /// 車両予約表示コンボボックスセット
         /// </summary>
@@ -1448,6 +1566,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region グリッド最終行での処理
         /// <summary>
         /// グリッド最終行での処理
         /// </summary>
@@ -1468,5 +1589,27 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Vehicle/FrmVehicle.designer.cs	(revision 51)
@@ -209,7 +209,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 24;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             // 
